# Class HandlerDoc

java.lang.Object
uk.ac.starlink.ttools.build.HandlerDoc

public class HandlerDoc extends Object
Writes auto-generated documentation XML files for STIL I/O handlers.

Since:
  21 Sep 2020
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`HandlerDoc(uk.ac.starlink.table.StarTableFactory tfact, uk.ac.starlink.table.StarTableOutput tout, uk.ac.starlink.table.StarTable exampleTable)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getBuilderDoc(uk.ac.starlink.table.TableBuilder builder)`
Returns the XML documentation for a given STIL input handler.
`String`
`getWriterDoc(uk.ac.starlink.table.StarTableWriter writer)`
Returns the XML documentation for a given STIL output handler.
`static void`
`main(String[] args)`
Writes documentation for all handlers.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HandlerDoc

public HandlerDoc(uk.ac.starlink.table.StarTableFactory tfact, uk.ac.starlink.table.StarTableOutput tout, uk.ac.starlink.table.StarTable exampleTable)
Constructor.

Parameters:
  `tfact` - table factory
  `tout` - table output controller
  `exampleTable` - example table for optional inclusion in serialized form in output XML

## Method Details

### getBuilderDoc

public String getBuilderDoc(uk.ac.starlink.table.TableBuilder builder) throws IOException
Returns the XML documentation for a given STIL input handler.

Parameters:
  `builder` - input handler
Returns:
  XML documentation string
Throws:
  `IOException`

### getWriterDoc

public String getWriterDoc(uk.ac.starlink.table.StarTableWriter writer) throws IOException
Returns the XML documentation for a given STIL output handler.

Parameters:
  `writer` - output handler
Returns:
  XML documentation string
Throws:
  `IOException`

### main

public static void main(String[] args) throws IOException
Writes documentation for all handlers. Depending on presence of "-[no]files" flag will write to standard output or to individual named files in the current directory. Run with -help for usage.

Throws:
  `IOException`